MyGUI: MyGUI::MemberObsolete< ListBox > Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::MemberObsolete< ListBox > Class Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< ListBox >:
[legend]

## Public Member Functions
size_t | getItemIndexSelected () const
void | setItemSelectedAt (size_t _index)
void | clearItemSelected ()
void | insertItem (size_t _index, const UString &_item)
void | setItem (size_t _index, const UString &_item)
const UString & | getItem (size_t _index) const
void | deleteItem (size_t _index)
void | deleteAllItems ()
size_t | findItem (const UString &_item)
size_t | getItemSelect () const
void | resetItemSelect ()
void | setItemSelect (size_t _index)
void | beginToIndex (size_t _index)
void | beginToStart ()
void | beginToEnd ()
void | beginToSelect ()
bool | isItemVisible (size_t _index, bool _fill=true)
bool | isItemSelectVisible (bool _fill=true)

## Detailed Description

Definition at line 160 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ beginToEnd()

void MyGUI::MemberObsolete< ListBox >::beginToEnd | ( |  | ) |

Deprecated
  " is deprecated, use : void ListBox::beginToItemLast()"

Definition at line 312 of file MyGUI_BackwardCompatibility.cpp.

## ◆ beginToIndex()

void MyGUI::MemberObsolete< ListBox >::beginToIndex | ( | size_t | _index | ) |

Deprecated
  " is deprecated, use : void ListBox::beginToItemAt(size_t _index)"

Definition at line 304 of file MyGUI_BackwardCompatibility.cpp.

## ◆ beginToSelect()

void MyGUI::MemberObsolete< ListBox >::beginToSelect | ( |  | ) |

Deprecated
  " is deprecated, use : void ListBox::beginToItemSelected()"

Definition at line 316 of file MyGUI_BackwardCompatibility.cpp.

## ◆ beginToStart()

void MyGUI::MemberObsolete< ListBox >::beginToStart | ( |  | ) |

Deprecated
  " is deprecated, use : void ListBox::beginToItemFirst()"

Definition at line 308 of file MyGUI_BackwardCompatibility.cpp.

## ◆ clearItemSelected()

void MyGUI::MemberObsolete< ListBox >::clearItemSelected | ( |  | ) |

Deprecated
  " is deprecated, use : void ListBox::clearIndexSelected()"

Definition at line 263 of file MyGUI_BackwardCompatibility.cpp.

## ◆ deleteAllItems()

void MyGUI::MemberObsolete< ListBox >::deleteAllItems | ( |  | ) |

Deprecated
  " is deprecated, use : void ListBox::removeAllItems()"

Definition at line 284 of file MyGUI_BackwardCompatibility.cpp.

## ◆ deleteItem()

void MyGUI::MemberObsolete< ListBox >::deleteItem | ( | size_t | _index | ) |

Deprecated
  " is deprecated, use : void ListBox::removeItemAt(size_t _index)"

Definition at line 280 of file MyGUI_BackwardCompatibility.cpp.

## ◆ findItem()

size_t MyGUI::MemberObsolete< ListBox >::findItem | ( | const UString & | _item | ) |

Deprecated
  " is deprecated, use : size_t ListBox::findItemIndexWith(const UString& _name)"

Definition at line 288 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getItem()

const UString & MyGUI::MemberObsolete< ListBox >::getItem | ( | size_t | _index | ) | const

Deprecated
  " is deprecated, use : const UString& ListBox::getItemNameAt(size_t _index)"

Definition at line 276 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getItemIndexSelected()

size_t MyGUI::MemberObsolete< ListBox >::getItemIndexSelected | ( |  | ) | const

Deprecated
  " is deprecated, use : size_t ListBox::getIndexSelected()"

Definition at line 255 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getItemSelect()

size_t MyGUI::MemberObsolete< ListBox >::getItemSelect | ( |  | ) | const

Deprecated
  " is deprecated, use : size_t ListBox::getIndexSelected()"

Definition at line 292 of file MyGUI_BackwardCompatibility.cpp.

## ◆ insertItem()

void MyGUI::MemberObsolete< ListBox >::insertItem | ( | size_t | _index,
|  | const UString & | _item )

Deprecated
  " is deprecated, use : void ListBox::insertItemAt(size_t _index, const UString& _name)"

Definition at line 268 of file MyGUI_BackwardCompatibility.cpp.

## ◆ isItemSelectVisible()

bool MyGUI::MemberObsolete< ListBox >::isItemSelectVisible | ( | bool | _fill = true | ) |

Deprecated
  " is deprecated, use : bool ListBox::isItemSelectedVisible(bool _fill)"

Definition at line 324 of file MyGUI_BackwardCompatibility.cpp.

## ◆ isItemVisible()

bool MyGUI::MemberObsolete< ListBox >::isItemVisible | ( | size_t | _index,
|  | bool | _fill = true )

Deprecated
  " is deprecated, use : bool ListBox::isItemVisibleAt(size_t _index, bool _fill)"

Definition at line 320 of file MyGUI_BackwardCompatibility.cpp.

## ◆ resetItemSelect()

void MyGUI::MemberObsolete< ListBox >::resetItemSelect | ( |  | ) |

Deprecated
  " is deprecated, use : void ListBox::clearIndexSelected()"

Definition at line 296 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setItem()

void MyGUI::MemberObsolete< ListBox >::setItem | ( | size_t | _index,
|  | const UString & | _item )

Deprecated
  " is deprecated, use : void ListBox::setItemNameAt(size_t _index, const UString& _name)"

Definition at line 272 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setItemSelect()

void MyGUI::MemberObsolete< ListBox >::setItemSelect | ( | size_t | _index | ) |

Deprecated
  " is deprecated, use : void ListBox::setIndexSelected(size_t _index)"

Definition at line 300 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setItemSelectedAt()

void MyGUI::MemberObsolete< ListBox >::setItemSelectedAt | ( | size_t | _index | ) |

Deprecated
  " is deprecated, use : void ListBox::setIndexSelected(size_t _index)"

Definition at line 259 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp